> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Prometheus Instant Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/clusters/{cluster_id}/kubernetes/metrics/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/kubernetes/metrics/query:
    post:
      tags:
        - Kubernetes API
      summary: Query Prometheus Instant Endpoint
      operationId: >-
        query_prometheus_instant_endpoint_api_v1_clusters__cluster_id__kubernetes_metrics_query_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/QueryPrometheusInstantRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrometheusQueryResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    QueryPrometheusInstantRequest:
      properties:
        query:
          title: Query
          type: string
        timeout_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Timeout Seconds
      required:
        - query
      title: QueryPrometheusInstantRequest
      type: object
    PrometheusQueryResult:
      properties:
        result:
          items: {}
          title: Result
          type: array
        result_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Result Type
        status:
          title: Status
          type: string
        total_series:
          default: 0
          title: Total Series
          type: integer
        truncated:
          default: false
          title: Truncated
          type: boolean
      required:
        - status
      title: PrometheusQueryResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````